gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.MapT

Contents

- Exported types
- Methods

Description

Data type for holding integer-to-integer hash maps.

Synopsis

- newtype MapT = MapT (ManagedPtr MapT)

# Exported types

newtype MapT Source #

Memory-managed wrapper type.

Constructors

MapT (ManagedPtr MapT) |

#### Instances

Instances details

Eq MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT Methods (==) :: MapT -> MapT -> Bool Source # (/=) :: MapT -> MapT -> Bool Source #
GBoxed MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT
ManagedPtrNewtype MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT Methods toManagedPtr :: MapT -> ManagedPtr MapT Source #
TypedObject MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT Methods glibType :: IO GType Source #
HasParentTypes MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT
IsGValue (Maybe MapT) Source # | Convert `MapT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.MapT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MapT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MapT) Source #
type ParentTypes MapT Source # |
Instance details Defined in GI.HarfBuzz.Structs.MapT type ParentTypes MapT = '[] :: [Type]

# Methods